routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();
Route::get('logout', '\App\Http\Controllers\Auth\LoginController@logout');

Route::get('/home', 'HomeController@index')->name('home');

Route::get('ajax_lessons_prev_week/{week_difference}', 'LeerlingOverzichtController@ajax_lessons_prev_week');
Route::get('ajax_lessons_next_week/{week_difference}', 'LeerlingOverzichtController@ajax_lessons_next_week');

Route::resource('leerling','LeerlingController'); // maakt achter de schermen alle onderstaande listeners aan.
//Route::get('/test', 'InstellingenConroller@index')->name('showTest'); // route name die je kan gebruiken in de rest van je code.



Route::get('/instellingen', 'InstellingenController@index');
Route::get('/instellingen/verkoop_producten', 'InstellingenController@verkoop_producten_form'); // wordt nog niet gebruikt
Route::post('/instellingen/verkoop_producten', 'InstellingenController@verkoop_producten_write'); // wordt nog niet gebruikt
//Route::get('instellingen/leswaardes', 'DocentInstellingenController@index');
Route::get('instellingen/docentgegevens/', 'DocentInstellingenController@docent_gegevens_edit');
Route::patch('instellingen/docentgegevens/', 'DocentInstellingenController@docent_gegevens_update');
Route::get('instellingen/leswaardes/', 'DocentInstellingenController@leswaardes_edit');
Route::patch('instellingen/leswaardes/', 'DocentInstellingenController@leswaardes_update');
// Route::get('instellingen/docentvakanties/', 'DocentVakantieController@instellingen_create');



Route::get('/factuur_administratie','FactuurAdministratieController@index');
Route::post('/factuur_administratie/genererate_lessons','FactuurAdministratieController@generateLessons');
Route::get('/generate_invoice', 'FactuurAdministratieController@generateInvoice');
Route::get('/geplande_factuur/{leerling_id}', 'FactuurAdministratieController@scheduledInvoice');


Route::get('leerlingen/{leerlingen}/leerlingvakantie', 'VakantieController@create'); // nieuw dus geen id nodig.
Route::get('leerlingen/cancel_lesson/{record_id}', 'VakantieController@create_cancel_lesson'); // nieuw dus geen id nodig.
Route::post('leerlingen/{leerling}/leerlingvakantie', 'VakantieController@store');
Route::get('leerlingen/vakantie/{vakantie}', 'VakantieController@edit');
Route::patch('leerlingen/vakantie/{vakantie}', 'VakantieController@update');
Route::delete('leerlingen/vakantie/{vakantie}', 'VakantieController@destroy');


Route::get('leerlingen/{leerlingen}/docentvakantie', 'DocentVakantieController@create');
Route::post('leerlingen/{leerlingen}/docentvakantie', 'DocentVakantieController@store');
Route::get('leerlingen/{leerlingen}/docentvakantie/{docentvakantie}', 'DocentVakantieController@edit'); // nieuw dus geen id nodig.
Route::patch('leerlingen/{leerlingen}/docentvakantie/{docentvakantie}', 'DocentVakantieController@update');
Route::delete('leerlingen/{leerling}/docentvakantie/{docentvakantie}', 'DocentVakantieController@destroy');

Route::get('/belasting', 'BelastingController@index');


Route::get('btwtarief/create', 'BtwTarievenController@create');
Route::post('btwtarief', 'BtwTarievenController@store');
Route::get('btwtarief/{btwtarief}/edit', 'BtwTarievenController@edit');
Route::patch('btwtarief/{btwtarief}', 'BtwTarievenController@update');
Route::delete('btwtarief/{btwtarief}', 'BtwTarievenController@destroy');

Route::get('factuur_record/create', 'FactuurRecordController@create');
Route::post('factuur_record', 'FactuurRecordController@store');
Route::get('factuur_record/{record}/edit', 'FactuurRecordController@edit');
Route::patch('factuur_record/{record}', 'FactuurRecordController@update');
Route::delete('factuur_record/{record}', 'FactuurRecordController@destroy');

Route::resource('instellingen/verkoop_product', 'VerkoopProductController');

Route::get('leerling/factuur_record/get/{leerling_id}', 'FactuurRecordController@create_for_leerling');
Route::post('leerling/factuur_record/store/{leerling_id}', 'FactuurRecordController@store_for_leerling');
Route::get('leerling/factuur_record/edit/{factuur_record_id}', 'FactuurRecordController@edit_for_leerling');
Route::patch('leerling/factuur_record/update/{factuur_record_id}', 'FactuurRecordController@update_for_leerling');
Route::delete('leerling/factuur_record/delete/{factuur_record_id}', 'FactuurRecordController@destroy_for_leerling');


Route::get('leerling_overzicht', 'LeerlingOverzichtController@index')->name('leerlingoverzicht');
Route::delete('leerling_overzicht/factuur_record/edit/{factuur_record_id}', 'FactuurRecordController@edit_for_leerlingoverzicht');
Route::get('leerling_overzicht/vakantie/create_cancel_lesson/{factuur_record_id}', 'VakantieController@create_cancel_lesson_for_leerling_overzicht');

// create form (Is deze situatie altijd hetzelfde)
// We gaan uit van het idee dat de template zo goed als hetzelfde is.




//Route::get('/leerlingen', 'LeerlingenController@index');
//Route::get('/leerlingen/create', 'LeerlingenController@create');
//Route::post('/leerlingen/', 'LeerlingenController@store');
//Route::get('/leerlingen/{project}', 'LeerlingenController@show');
//Route::get('/leerlingen/{project}/edit', 'LeerlingenController@edit');
//Route::patch('/leerlingen/{project}', 'LeerlingenController@update');
//Route::delete('/leerlingen/{project}', 'LeerlingenController@destroy');


//Route::post('/projects/{project}/tasks','ProjectTasksController@store');
//Route::patch('/tasks/{task}','ProjectTasksController@update');

resources/views/leerlingen/create.blade.php
@extends('layout')

@section('content')

    <h1 class="title">Leerling aanmaken</h1>
    <form name="leerlingen_create" id="leerlingen_create" action="{{route('leerling.store')}}" method="post">
        {{csrf_field()}}
        <div class="section">
            <h2 class="subtitle">Leerling gegevens</h2>
            <div class="columns">
                <div class="column">
                    <div class="field">
                        <label class="label" for="title">Naam</label>
                        <div class="control">
                            <input id="title" name="naam" class="input {{$errors->has('naam') ? 'is-danger' : ''}}" type="text" placeholder="Naam" value="{{ old('naam') }}"/>
                        </div>
                    </div>
                </div>
                <div class="column">
                    <div class="field">
                        <label class="label" for="achternaam">Achternaam</label>
                        <div class="control">
                            <input id="achternaam" name="achternaam" class="input {{$errors->has('achternaam') ? 'is-danger' : ''}}" type="text" placeholder="achternaam" value="{{ old('achternaam') }}"/>
                        </div>
                    </div>
                </div>
            </div>
            <div class="columns">
                <div class="column">
                    <div class="field">
                        <label class="label" for="geadreseerde">Geadreseerde</label>

                        <div class="control">
                            <input id="geadreseerde" name="geadreseerde" class="input" type="text" placeholder="Geadreseerde" value="{{ old('geadreseerde') }}"/>
                        </div>
                    </div>
                </div>
                <div class="column">
                    <div class="field">
                        <label class="label" for="email">E-mail</label>
                        <div class="control">
                            <input id="email" name="email" class="input" type="text" placeholder="E-mail" value="{{ old('email') }}"/>
                        </div>
                    </div>
                </div>
            </div>
            <div class="columns">
                <div class="column is-half">
                    <div class="field">
                        <label class="label" for="geboortedatum">geboortedatum</label>

                        <div class="control">
                            <input id="geboortedatum" name="geboortedatum" class="input" type="text" placeholder="geboortedatum"
                                   value="{{ old('geboortedatum') }}"/>
                        </div>
                    </div>
                </div>
            </div>
            <h2 class="subtitle">Adres gegevens</h2>
            <div class="columns">
                <div class="column">
                    <div class="field">
                        <label class="label" for="straatnaam">straatnaam</label>

                        <div class="control">
                            <input id="straatnaam" name="straatnaam" class="input" type="text" placeholder="straatnaam"
                                   value="{{ old('straatnaam') }}"/>
                        </div>
                    </div>
                </div>
                <div class="column">
                    <div class="field">
                        <label class="label" for="huisnummer">huisnummer</label>

                        <div class="control">
                            <input id="huisnummer" name="huisnummer" class="input" type="text" placeholder="huisnummer"
                                   value="{{ old('huisnummer') }}"/>
                        </div>
                    </div>
                </div>
            </div>
            <div class="columns">
                <div class="column">
                    <div class="field">
                        <label class="label" for="postcode">postcode</label>

                        <div class="control">
                            <input id="postcode" name="postcode" class="input" type="text" placeholder="postcode"
                                   value="{{ old('postcode') }}"/>
                        </div>
                    </div>
                </div>
                <div class="column">
                    <div class="field">
                        <label class="label" for="woonplaats">woonplaats</label>

                        <div class="control">
                            <input id="woonplaats" name="woonplaats" class="input" type="text" placeholder="woonplaats"
                                   value="{{ old('woonplaats') }}"/>
                        </div>
                    </div>
                </div>
            </div>
            <div class="columns">
                <div class="column is-half">
                    <div class="field">
                        <label class="label" for="telefoon">telefoon</label>

                        <div class="control">
                            <input id="telefoon" name="telefoon" class="input" type="text" placeholder="telefoon"
                                   value="{{ old('telefoon') }}"/>
                        </div>
                    </div>
                </div>
            </div>
            <h2 class="subtitle">Les gegevens</h2>
            <div class="column">
                <label class="checkbox">
                    <input value="1" name="geen_les_meer" type="checkbox" >
                    Heeft geen les meer
                </label>
            </div>
            <div class="columns">
                <div class="column is-half">
                    <div class="field">
                        <label class="label" for="eerste_les">eerste_les</label>

                        <div class="control">
                            <input id="eerste_les" name="eerste_les" class="input" type="text" placeholder="dd-mm-yyyy" value="{{ old('eerste_les') }}"/>
                        </div>
                    </div>
                </div>
            </div>
            <div class="columns">
                <div class="column">
                    <div class="field">
                        <label class="label" for="les_interval">les_interval</label>
                        <div id="les_interval" class="select">
                            <select name="les_interval">
                                <option value="1" {{ (old('les_interval') == 1) ? 'selected' : ''}}>1x per week</option>
                                <option value="2" {{ (old('les_interval') == 2) ? 'selected' : ''}}>1x per 2 week</option>
                                <option value="3" {{ (old('les_interval') == 3) ? 'selected' : ''}}>1x per 3 week</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="column">
                    <div class="field">
                        <label class="label" for="les_type">les_type</label>
                        <div id="les_type" class="select">
                            <select name="les_type">
                                <option value="1" >Prive</option>
                                <option value="2" >Groepsles</option>
                            </select>
                        </div>
                    </div>
                </div>

                <div class="column">
                    <div class="field">
                        <label class="label" for="les_dag">les_dag</label>
                        <div id="les_dag" class="select">
                            <select name="les_dag">
                                <option value="1" {{ (old('les_dag') == 1) ? 'selected' : ''}}>maandag</option>
                                <option value="2" {{ (old('les_dag') == 2) ? 'selected' : ''}}>dinsdag</option>
                                <option value="3" {{ (old('les_dag') == 3) ? 'selected' : ''}}>woensdag!!</option>
                                <option value="4" {{ (old('les_dag') == 4) ? 'selected' : ''}}>donderdag</option>
                                <option value="5" {{ (old('les_dag') == 5) ? 'selected' : ''}}>vrijdag</option>
                                <option value="6" {{ (old('les_dag') == 6) ? 'selected' : ''}}>zaterdag</option>
                                <option value="7" {{ (old('les_dag') == 7) ? 'selected' : ''}}>zondag</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="column">
                    <div class="field">
                        <label class="label" for="les_tijdstip">les_tijdstip</label>

                        <div class="control">
                            <input id="les_tijdstip" name="les_tijdstip" class="input" type="text" placeholder="00:00"
                                   value="{{ old('les_tijdstip') }}"/>
                        </div>
                    </div>
                </div>
            </div>
            <div class="columns">
                <div class="column">
                    <div class="field">
                        <label class="label" for="les_minuten">les_minuten</label>

                        <div class="control">
                            <input id="les_minuten" name="les_minuten" class="input" type="text" placeholder="les_minuten"
                                   value="{{ old('les_minuten') }}"/>
                        </div>
                    </div>
                </div>
                <div class="column">
                    <div class="field">
                        <label class="label" for="les_tarief">les_tarief</label>

                        <div class="control">
                            <input id="les_tarief" name="les_tarief" class="input" type="text" placeholder="les_tarief"
                                   value="{{ old('les_tarief') }}"/>
                        </div>
                    </div>
                </div>
            </div>
            <h2 class="subtitle">Factuur instellingen</h2>
            <div class="columns">
                <div class="column">
                    <div class="field">
                        <label class="label" for="***">Betaling methode</label>
                        {{-- <div id="***" class="select">
                            <select name="***">
                                <option value="1" {{ (old('***') == 1) ? 'selected' : ''}} >vast bedrag per maand</option>
                                <option value="2" {{ (old('***') == 2) ? 'selected' : ''}} >1 maand vooruit rekenen</option>
                                <option value="3" {{ (old('***') == 3) ? 'selected' : ''}} >maandelijks achteraf berekenen</option>
                                <option value="4" {{ (old('***') == 4) ? 'selected' : ''}} >factuur per jaar</option>
                                <option value="5" {{ (old('***') == 5) ? 'selected' : ''}} >factuur per halfjaar</option>
                            </select>
                        </div> --}}
                    </div>
                </div>
                <div class="column">

                </div>
            </div>
        </div>
    </form>
    <div class="columns">
        <div class="column">
            <button form="leerlingen_create" class="button is-primary">Opslaan</button>
            <a href="/leerling_overzicht">
                <div class="button">Terug</div>
            </a>
        </div>
    </div>

    @include('errors')

@endsection

resources/views/leerlingen/index.blade.php
@foreach($leerlingen as $leerling)
    {{-- <div class="level has-background-light">
        <div class="level-left">
            <a href="/leerlingen/{{$leerling->id}}">
                {{ $leerling->naam }}
                {{ $leerling->achternaam }}
            </a>
        </div>
        <div class="level-right">
            <a class="button is-primary" href="/leerlingen/{{$leerling->id}}">Bekijken &nbsp;<i class="far fa-eye"></i></a>
        </div>
    </div> --}}


<div class="columns is-mobile {{ ($loop->iteration % 2 == 0) ? 'has-background-light' : 'has-background-grey-lighter' }} ">
    <div class="column is-one-quarter">{{ $leerling->naam }} {{ $leerling->achternaam }}</div>
    <div class="column is-two-quarter is-primary" style="padding:0;">
        <div class="level-right">
            <a class="button is-primary" href="{{ route('leerling.show', [$leerling]) }}">Bekijken &nbsp;<i class="far fa-eye"></i></a>
        </div>
    </div>

</div>


@endforeach

resources/views/leerlingen/show.blade.php
@extends('layout')

@section('content')
    <div class="level">
        <div class="level-item"><a class="button has-background-grey-light is-fullwidth" href="/leerling_overzicht">Terug</a></div>
        <div class="level-item"></div>
        <div class="level-item"></div>
        <div class="level-item"></div>
    </div>
    <div class="box">
        <div class="level">
            <div class="is-grouped">
                <h1 class="title is-inline">
                    @if($pupil->geen_les_meer)
                        <p class="has-text-danger">Heeft geen les meer!</p>
                        <span style="text-decoration: line-through">{{ $pupil->naam }} {{ $pupil->achternaam }}</span>
                    @else
                        {{ $pupil->naam }} {{ $pupil->achternaam }}
                    @endif
                </h1>
                <div class="control is-inline">
                    <a href="{{route('leerling.edit',[$pupil])}}" class="button has-background-grey-light">Bewerken&nbsp;<i class="fas fa-edit"></i></a>
                </div>
                <form class="control is-inline" action="{{route('leerling.destroy', [$pupil])}}" method="post">
                    {{csrf_field()}}
                    {{method_field('DELETE')}}
                    <button class="button is-danger" type="submit" onclick="return confirm(' Weet je zeker dat je deze leerling wil verwijderen?');">Verwijderen &nbsp;<i class="fas fa-trash"></i></button>
                </form>
            </div>
        </div>


        <div class="level">
            <div class="level-item level-left">
                <table class="table">
                    <tbody>
                    <tr>
                        <td>Naam</td>
                        <td>{{$pupil->naam}} {{$pupil->achternaam}}</td>

                    </tr>
                    <tr>
                        <td>geadreseerde</td>
                        <td>{{$pupil->geadreseerde}}</td>
                    </tr>
                    <tr>
                        <td>email</td>
                        <td>{{$pupil->email}}</td>
                    </tr>
                    <tr>
                        <td>geboortedatum</td>
                        <td>{{$pupil->geboortedatum}}</td>
                    </tr>
                    <tr>
                        <td>straatnaam</td>
                        <td>{{$pupil->straatnaam}} {{$pupil->huisnummer}}</td>
                    </tr>
                    <tr>
                        <td>postcode</td>
                        <td>{{$pupil->postcode}}</td>
                    </tr>
                    <tr>
                        <td>woonplaats</td>
                        <td>{{$pupil->woonplaats}}</td>
                    </tr>
                    <tr>
                        <td>Telefoon</td>
                        <td>{{$pupil->telefoon}}</td>
                    </tr>
                    </tbody>
                </table>
            </div>
            <div class="level-item level-left">
                <table class="table">
                    <tbody>
                        {{-- <tr>
                            <td>Activatie datum van onderstaande instellingen</td>
                            <td>{{$pupil->eerste_les}}</td>
                        </tr> --}}
                    <tr>
                        <td><span title="Let Op! Deze wijziging gaat pas in vanaf dd-mm-YY" class="has-text-danger"><i class="fas fa-exclamation-triangle"></i></span> les_interval</td>
                        <td>{{$pupil->les_interval}}</td>
                    </tr>
                    <tr>
                        <td><span title="Let Op! Deze wijziging gaat pas in vanaf dd-mm-YY" class="has-text-danger"><i class="fas fa-exclamation-triangle"></i></span> les_type</td>
                        <td>{{$pupil->les_type}}</td>
                    </tr>
                    <tr>
                        <td><span title="Let Op! Deze wijziging gaat pas in vanaf dd-mm-YY" class="has-text-danger"><i class="fas fa-exclamation-triangle"></i></span> les_dag</td>
                        <td>{{$pupil->les_dag}}</td>
                    </tr>
                    <tr>
                        <td><span title="Let Op! Deze wijziging gaat pas in vanaf dd-mm-YY" class="has-text-danger"><i class="fas fa-exclamation-triangle"></i></span> Tijdstip</td>
                        <td>{{$pupil->les_tijdstip}}</td>
                    </tr>
                    <tr>
                        <td><span title="Let Op! Deze wijziging gaat pas in vanaf dd-mm-YY" class="has-text-danger"><i class="fas fa-exclamation-triangle"></i></span> Aantal minuten les</td>
                        <td>{{$pupil->les_minuten}}</td>
                    </tr>
                    <tr>
                        <td><span title="Let Op! Deze wijziging gaat pas in vanaf dd-mm-YY" class="has-text-danger"><i class="fas fa-exclamation-triangle"></i></span> Tarief</td>
                        <td>{{$pupil->les_tarief}}</td>
                    </tr>
                    <tr>
                        <td>Eerste les</td>
                        <td>{{$pupil->eerste_les}}</td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>



    </div>

    <div class="box">
        <div class="level">
            <div class="is-grouped">
                <h1 class="subtitle is-inline">Vakanties en uitzonderingen</h1>
                <div class="control is-inline">
                    <a href="/leerlingen/{{$pupil->id}}/leerlingvakantie" class="button has-background-grey-light">Toevoegen &nbsp;<i class="far fa-plus-square"></i></a>
                </div>
            </div>

        </div>
        @include('vakanties.leerlingVakanties')
    </div>
    <div class="box">
        <div class="level">
            <div class="is-grouped">
                <h1 class="subtitle is-inline">Docent vakanties</h1>
                <div class="control is-inline">
                    <a href="/leerlingen/{{$pupil->id}}/docentvakantie" class="button has-background-grey-light">Toevoegen &nbsp;<i class="far fa-plus-square"></i></a>
                </div>
            </div>

        </div>
        @include('vakanties.docentVakanties')
    </div>

    <div class="box">
        <div class="level"><h1 class="subtitle">Facturen</h1></div>
        <div class="level"><a class="button is-info" href="/geplande_factuur/{{$pupil->id}}">Bekijk komende factuur &nbsp;<i class="far fa-eye"></i></a></div>
        <p>Factuur records</p>
    </div>
    <div class="box">
        <div class="is-grouped is-inline">
            <h1 class="subtitle is-inline">Geplande lessen / producten</h1>
        </div>
        <div class="control is-inline">
            <a href="/leerling/factuur_record/get/{{$pupil->id}}" class="button has-background-grey-light">Toevoegen &nbsp;<i class="far fa-plus-square"></i></a>
        </div>
        @include('factuur_records.lessen')
    </div>
    <div class="box">
        <div class="is-grouped">
            <h1 class="subtitle is-inline">Verkochte lessen / producten</h1>
        </div>
    </div>

    <div class="level">
        <div class="level-item"><a class="button has-background-grey-light is-fullwidth" href="/leerling_overzicht">Terug</a></div>
        <div class="level-item"></div>
        <div class="level-item"></div>
        <div class="level-item"></div>
    </div>
    @include('errors')
    @include('flash_messages')


@endsection